> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign In

Authenticate with the API using email/password or refresh token. Returns an access token that can be used for subsequent requests.

### Authentication Methods

* **Password Grant**: Provide email and password
* **Refresh Token Grant**: Use a refresh token to get a new access token

The response includes:

* Access token
* Refresh token
* Token expiration time
* Token type (bearer)


## OpenAPI

````yaml POST /auth/token
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /auth/token:
    post:
      tags: []
      summary: Sign in
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                grant_type:
                  type: string
                  enum:
                    - password
                    - refresh_token
                  description: Grant type
                email:
                  type: string
                  description: Email
                password:
                  type: string
                  description: Password
                refresh_token:
                  type: string
                  description: Refresh token
              required:
                - grant_type
            example:
              grant_type: password
              email: example@mkinf.io
              password: test1234
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Auth'
              examples:
                '1':
                  summary: Success
                  value:
                    access_token: eyJhbG...
                    refresh_token: xdclrV...
                    expires_in: 3600
                    token_type: bearer
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    Auth:
      type: object
      properties:
        access_token:
          type: string
        refresh_token:
          type: string
        expires_in:
          type: integer
        token_type:
          type: string
      required:
        - access_token
        - refresh_token
        - expires_in
        - token_type

````